function out = Velocity(t,v,totalT)
    %v=2;
    T=totalT/10;
    % 0 - 30
    f1=@(t)v/T*t;
    % 30 - 120
    f2=@(t)v;
    % 120 - 180
    f3=@(t)-1*v/T*t+5*v;
    % 180 - 270
    f4=@(t)-1*v;
    % 270 - 300
    f5=@(t)v/T*t-10*v;

    if t <= T
        out = f1(t);
    elseif t <= 4*T
        out = f2(t);
    elseif t <= 6*T
        out = f3(t);
    elseif t <= 9*T
        out = f4(t);
    elseif t <= 10*T
        out = f5(t);
    end
end